// Copyright (c) 2014 Manuel Wiele
// http://manuel.weiel.eu/

function runWithString(argument)
{
    var result = HTTP.getJSON('http://api.bing.com/osjson.aspx?query=' + encodeURIComponent(argument), 3);

    if (result == undefined) {
        LaunchBar.log('HTTP.getJSON() returned undefined');
        return [];
    }
    if (result.error != undefined) {
        LaunchBar.log('Error in HTTP request: ' + result.error);
        return [];
    }

    try {
        var suggestions = [];
		var i = 0;
        for (i = 0; i < result.data[1].length; i++) {
			var suggestion = result.data[1][i];
            suggestions.push({
                             'title' : suggestion,
                             'icon' : 'bing.png'
                             });
        }
        return suggestions;
    } catch (exception) {
        LaunchBar.log('Exception while parsing result: ' + exception);
        return [];
    }
}
